function te = regge_curvature_tensor(M, X, vertex_normal)

% Normal curvature estimation
dX = X(M.E2V(:,1),:) - X(M.E2V(:,2),:);
dN = vertex_normal(M.E2V(:,1),:) - vertex_normal(M.E2V(:,2),:);
te = dot(dN, dX, 2)./sum(dX.^2,2);
