function [I,A_u,A_tau] = build_mass_matrix(M, area)

area_vx = accumarray(M.T(:), repmat(area/3, [3,1]));
A_u = spdiags(area_vx, 0, M.nv, M.nv);

area_edge = accumarray(abs(M.T2E(:)), repmat(area/2, [3,1]));
A_tau = spdiags(area_edge, 0, M.ne, M.ne);

I = blkdiag(A_u, A_tau);