function T = evaluate_regge_tensor(M, Regge, te)
% Interpolate edge values to symmetric matrix per triangle with Regge basis

te_edge = te(abs(M.T2E));
T = Regge.T1.*te_edge(:,1) + ...
    Regge.T2.*te_edge(:,2) + ...
    Regge.T3.*te_edge(:,3);